#
# spec file for package resmgr (Version 0.9.7)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         resmgr
License:      GPL
Group:        System/Daemons
Version:      0.9.7
Release:      165
Summary:      A program to allow arbitrary access to device files
Source:       %{name}-%{version}.tar.bz2
Source1:      resmgr.init
Source2:      resmgr.conf
Source3:      README.SuSE
Source4:      desktopdev
Patch0:       resmgr-0.9.7-syslog.diff
Patch1:       resmgr-0.9.7-more-devices.diff
Patch2:       resmgr-0.9.7-noremotefs.diff
Patch3:       resmgr-0.9.7-fixusb.diff
Patch4:       resmgr-0.9.7-c++.diff
Patch5:       resmgr-0.9.7-ssh.patch
Patch6:       resmgr-0.9.7-sendmsg.diff
Patch7:       resmgr-0.9.7-vlog.patch
Patch8:       resmgr-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.lst.de/~okir/resmgr
PreReq:       %insserv_prereq %fillup_prereq hotplug
Autoreqprov:  on

%description
The resource manager is a framework to give user applications access to
certain device files. The resource manager daemon can be configured to
give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to and
removed from resource classes at run time), and it provides transparent
access to the raw SCSI device corresponding to a CD writer or a
scanner.



Authors:
--------
    Olaf Kirch <okir@suse.de>

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
DESTDIR=$RPM_BUILD_ROOT; rm -rf $DESTDIR
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf libresmgr.so.* $DESTDIR/lib/libresmgr.so
# 64bit libdir fixes:
if [ "%_lib" != "lib" ]; then
	mv $DESTDIR/lib $DESTDIR/%_lib
fi
mkdir -p $DESTDIR/etc/init.d
cp %SOURCE1 $DESTDIR/etc/init.d/resmgr
mkdir -p $DESTDIR/usr/sbin/
ln -s ../../etc/init.d/resmgr $DESTDIR/usr/sbin/rcresmgr
# install config file
cp %SOURCE2 $DESTDIR/etc/resmgr.conf
cp %SOURCE3 .
install -d $DESTDIR/etc/hotplug/usb
install -c -m755 %SOURCE4 $DESTDIR/etc/hotplug/usb

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -y resmgr}

%postUn
%{insserv_cleanup}

%files
%doc README COPYING README.SuSE
%attr(644,root,root) %config(noreplace) /etc/resmgr.conf
%attr(755,root,root) %config /etc/init.d/resmgr
%attr(755,root,root) /etc/hotplug/usb/desktopdev
%attr(555,root,root) /%_lib/libresmgr*
%attr(777,root,root) /usr/sbin/rcresmgr
%attr(555,root,root) /sbin/resmgr
%attr(555,root,root) /sbin/resmgrd
%attr(444,root,root) %_mandir/man?/*.[0-9]*
%attr(444,root,root) /usr/include/resmgr.h
%attr(555,root,root) /%_lib/security/*

%changelog -n resmgr
* Mon Oct 18 2004 - okir@suse.de
- Do not allow users to create resmgr sessions (#47001)
* Mon Aug 04 2003 - okir@suse.de
- fixed bad use of vlog()
- fixed minor typo in resmgr.conf
* Mon Jun 30 2003 - ro@suse.de
- fix build with current includes
* Wed Mar 05 2003 - okir@suse.de
- properly handle sendmsg errors (partial fix for #24591)
* Mon Mar 03 2003 - okir@suse.de
- patch for ssh support (#24363)
* Sat Mar 01 2003 - meissner@suse.de
- resmgr.h: Wrap function declarations in extern "C" {} for C++ usage.
* Fri Feb 28 2003 - meissner@suse.de
- Fixed usb:x,y:/proc/bus/usb/x/y handling.
- Parse usb:00x,00y as decimal and not as octal.
- Added comment to resmgr.conf on how to give permissions to other
  users.
* Mon Feb 17 2003 - meissner@suse.de
- Added a generic desktopdev script USB hotplugging, which
  just adds a USB device on plugin/-out.
- Moved binaries to /sbin/ and library to /lib so we can start before
  hotplug without $remotefs.
- No longer require $remotefs.
* Mon Feb 17 2003 - meissner@suse.de
- Added the SANE /dev/scanner, /dev/usb*scanner* devices, and
  /dev/mixer.
* Thu Feb 06 2003 - okir@suse.de
- rcresmgr stop now exits with status 0 even if the daemon isn't
  running at all (23347).
* Wed Feb 05 2003 - okir@suse.de
- fixed bad syslog() level in pam_resmgr
* Thu Jan 30 2003 - meissner@suse.de
- daemon is default enabled.
* Tue Jan 28 2003 - meissner@suse.de
- start in runlevel 5.
* Mon Nov 11 2002 - okir@suse.de
- bugfix to get it working with cdrecord
* Fri Nov 08 2002 - okir@suse.de
- updated to new version, added resmgr.conf
* Tue Nov 05 2002 - okir@suse.de
- Initial packaging
